<h2>Добро пожаловать!</h2>
<h2>Пожалуйста, зарегистрируйтесь.</h2>

<mat-list>
  <mat-list-item>
    <mat-form-field>
      <mat-label>Выберите город</mat-label>
      <mat-select [(value)]="city" matNativeControl required >
        <mat-option value="1">Минск</mat-option>
        <mat-option value="2">Витебск</mat-option>
        <mat-option value="3">Брест</mat-option>
        <mat-option value="4">Гомель</mat-option>
        <mat-option value="5">Гродно</mat-option>
        <mat-option value="6">Могилев</mat-option>
      </mat-select>
    </mat-form-field>
  </mat-list-item>
  <mat-list-item>
    <mat-form-field>
      <mat-label>Выберите школу</mat-label>
      <mat-select [disabled]="!city.length" matNativeControl required [(value)]="school">
        <mat-option value="1">Гимназия № 1</mat-option>
        <mat-option value="2">Гимназия № 2</mat-option>
        <mat-option value="3">Гимназия № 3</mat-option>
        <mat-option value="4">Гимназия № 4</mat-option>
        <mat-option value="5">Гимназия № 5</mat-option>
        <mat-option value="6">Гимназия № 6</mat-option>
        <mat-option value="7">Гимназия № 7</mat-option>
        <mat-option value="8">Гимназия № 8</mat-option>
        <mat-option value="9">Гимназия № 9</mat-option>
      </mat-select>
    </mat-form-field>
  </mat-list-item>
  <mat-list-item>
    <mat-form-field>
      <mat-label>Выберите класс</mat-label>
      <mat-select [disabled]="!school.length" matNativeControl required [(value)]="class">
        <mat-option value="1">7A</mat-option>
        <mat-option value="2">7Б</mat-option>
        <mat-option value="3">7В</mat-option>
        <mat-option value="4">7Г</mat-option>
      </mat-select>
    </mat-form-field>
  </mat-list-item>
  <mat-list-item>
      <mat-form-field>
        <mat-label>Выберите ученика</mat-label>
        <mat-select [disabled]="!class.length" matNativeControl required [(value)]="student">
          <mat-option value="1">Зинкевич</mat-option>
          <mat-option value="2">Михайлов</mat-option>
          <mat-option value="3">Лабоцкий</mat-option>
          <mat-option value="4">Киреев</mat-option>
          <mat-option value="5">Цвирко</mat-option>
          <mat-option value="6">Линкевич</mat-option>
        </mat-select>
      </mat-form-field>
    </mat-list-item>
</mat-list>

<button mat-button [disabled]="!student.length"  (click)="next()">Продолжить</button>